<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML3.2 EN">
<HTML>
<HEAD>
<META NAME="GENERATOR" CONTENT="DOCTEXT">
<TITLE>AODataSegmentGetReduced</TITLE>
</HEAD>
<BODY BGCOLOR="FFFFFF">
<A NAME="AODataSegmentGetReduced"><H1>AODataSegmentGetReduced</H1></A>
Gets the unique list of segment values, by removing  duplicates. 
<H3><FONT COLOR="#CC3333">Synopsis</FONT></H3>
<PRE>
#include "petscao.h" 
PetscErrorCode PETSCDM_DLLEXPORT AODataSegmentGetReduced(AOData aodata,const char name[],const char segment[],PetscInt n,PetscInt *keys,IS *is)
</PRE>
Collective on <A HREF="../AO/AOData.html#AOData">AOData</A> and <A HREF="../IS/IS.html#IS">IS</A>
<P>
<H3><FONT COLOR="#CC3333">Input Parameters</FONT></H3>
<TABLE border="0" cellpadding="0" cellspacing="0">
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>aodata </B></TD><TD>- the database
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>name </B></TD><TD>- the name of the key
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>segment </B></TD><TD>- the name of the segment
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>n </B></TD><TD>- the number of data items needed by this processor
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>keys </B></TD><TD>- the keys provided by this processor
</TD></TR></TABLE>
<P>
<H3><FONT COLOR="#CC3333">Output Parameters</FONT></H3>
<DT><B>is </B> -the indices retrieved
<br>
<P>

<P>
<H3><FONT COLOR="#CC3333">Example</FONT></H3>
<PRE>
                      keys    -&gt;      0  1  2  3  4   5  6  7
      if the segment contains -&gt;      1  2  1  3  1   4  2  0
   and you request keys 0 1 2 5 7 it will return 1 2 4 0
</PRE>

<P>
<H3><FONT COLOR="#CC3333">Keywords</FONT></H3>
 database transactions
<BR>
<P>
<H3><FONT COLOR="#CC3333">See Also</FONT></H3>
 <A HREF="../AO/AODataCreateBasic.html#AODataCreateBasic">AODataCreateBasic</A>(), <A HREF="../AO/AODataDestroy.html#AODataDestroy">AODataDestroy</A>(), <A HREF="../AO/AODataKeyAdd.html#AODataKeyAdd">AODataKeyAdd</A>(), <A HREF="../AO/AODataSegmentRestore.html#AODataSegmentRestore">AODataSegmentRestore</A>(),
<BR><A HREF="../AO/AODataSegmentGetIS.html#AODataSegmentGetIS">AODataSegmentGetIS</A>(), <A HREF="../AO/AODataSegmentRestoreIS.html#AODataSegmentRestoreIS">AODataSegmentRestoreIS</A>(), <A HREF="../AO/AODataSegmentAdd.html#AODataSegmentAdd">AODataSegmentAdd</A>(),
<A HREF="../AO/AODataKeyGetInfo.html#AODataKeyGetInfo">AODataKeyGetInfo</A>(), <A HREF="../AO/AODataSegmentGetInfo.html#AODataSegmentGetInfo">AODataSegmentGetInfo</A>(), <A HREF="../AO/AODataSegmentAdd.html#AODataSegmentAdd">AODataSegmentAdd</A>()
<P><B><P><B><FONT COLOR="#CC3333">Level:</FONT></B>deprecated
<BR><FONT COLOR="#CC3333">Location:</FONT></B><A HREF="../../../src/dm/ao/interface/aodata.c.html#AODataSegmentGetReduced">src/dm/ao/interface/aodata.c</A>
<BR><A HREF="./index.html">Index of all AO routines</A>
<BR><A HREF="../../index.html">Table of Contents for all manual pages</A>
<BR><A HREF="../singleindex.html">Index of all manual pages</A>
</BODY></HTML>
